Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.event
Class EventManagerImpl

    java.lang.Object
      net.java.ao.event.EventManagerImpl

All Implemented Interfaces:
  EventManager

    public class EventManagerImpl

extends Object
implements EventManager

The default implementation of the `EventManager`

The implementation can be configured by specifying an alternative implementation of the `ListenerInvokerFactory`

By default it uses a `SingleParameterAnnotatedMethodListenerInvokerFactory`

Constructor Summary
`EventManagerImpl()`
`EventManagerImpl(net.java.ao.event.ListenerInvokerFactory invokerFactory)`

Method Summary
`void` | `publish(Object event)` Published the given event.
`void` | `register(Object listener)` Registers a listener.
`void` | `unregister(Object listener)` Unregisters the give listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventManagerImpl

    public EventManagerImpl()

### EventManagerImpl

    public EventManagerImpl(net.java.ao.event.ListenerInvokerFactory invokerFactory)

Method Detail

### publish

    public void publish(Object event)

  Description copied from interface: `EventManager`

  Published the given event.

  Whether or not anyone listens to the event doesn't matter.

  Specified by:
    `publish` in interface `EventManager`
  Parameters:
    `event` - the event to publish

### register

    public void register(Object listener)

  Description copied from interface: `EventManager`
  Registers a listener. The definition of a correct listener is left up to the implementation.

  Specified by:
    `register` in interface `EventManager`
  Parameters:
    `listener` - the listener to register.

### unregister

    public void unregister(Object listener)

  Description copied from interface: `EventManager`
  Unregisters the give listener. Nothing happens if the listener was not previously registered.

  Specified by:
    `unregister` in interface `EventManager`
  Parameters:
    `listener` - the listener to un-register

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.